Bug 462911 - 5.3 beta kernel -115.el breaks the proprietary Nvidia driver
5.3 beta kernel -115.el breaks the proprietary Nvidia driver
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.3
All Linux
medium Severity medium
: rc
: ---
Assigned To: Jon Masters
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-19 12:21 EDT by Jay Fenlason
Modified: 2014-08-31 19:28 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 04:47:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
whitelist patch (4.21 KB, application/octet-stream)
2009-04-23 04:32 EDT, Jon Masters
no flags Details
add-acpi-bus-unregister-driver-to-kABI (8.48 KB, patch)
2009-05-05 17:47 EDT, Jon Masters
no flags Details | Diff

  None (edit)
Description Jay Fenlason 2008-09-19 12:21:26 EDT
Description of problem:
When I upgraded my kernel from -113 to -115 the nvidea.ko module stopped loading with 

Version-Release number of selected component (if applicable):
2.6.18-115.el5

How reproducible:
Always

Steps to Reproduce:
1.Boot the -115.el5 kernel
2.copy nvidea.ko from /lib/modules/2.6.18-113.el5/kernel/drivers/video/nvidia.ko to /lib/modules/2.6.18-115.el5/kernel/drivers/video/
3.run depmod
4.Attempt to start X with xinit
5.
  
Actual results:
X fails to start.  The error message says to look at dmesg, which says:
eth0: no IPv6 routers present
nvidia: module license 'NVIDIA' taints kernel.
nvidia: disagrees about version of symbol acpi_bus_unregister_driver
nvidia: Unknown symbol acpi_bus_unregister_driver
nvidia: disagrees about version of symbol acpi_bus_register_driver
nvidia: Unknown symbol acpi_bus_register_driver
nvidia: disagrees about version of symbol acpi_bus_unregister_driver
nvidia: Unknown symbol acpi_bus_unregister_driver
nvidia: disagrees about version of symbol acpi_bus_register_driver
nvidia: Unknown symbol acpi_bus_register_driver

Expected results:
X starts

Additional info:
This module worked fine up through -113.
Comment 2 Don Zickus 2008-09-23 09:34:05 EDT
The symbol acpi_bus_unregister_driver is not on our whitelist of symbols we promise not to break.  Unfortunately, you will have to recompile the module to pick up the changes.

You can propose we add that symbol for 5.4.0
Comment 5 RHEL Product and Program Management 2009-02-16 10:31:54 EST
Updating PM score.
Comment 6 RHEL Product and Program Management 2009-03-17 16:38:25 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 8 Jon Masters 2009-04-23 04:32:58 EDT
Created attachment 340897 [details]
whitelist patch
Comment 9 Jon Masters 2009-05-05 17:47:01 EDT
Created attachment 342540 [details]
add-acpi-bus-unregister-driver-to-kABI
Comment 11 Don Zickus 2009-05-12 13:40:11 EDT
in kernel-2.6.18-146.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 14 errata-xmlrpc 2009-09-02 04:47:11 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1243.html

Note You need to log in before you can comment on or make changes to this bug.